<div itemscope itemtype="http://developers.google.com/ReferenceObject">
<meta itemprop="name" content="tfma" />
<meta itemprop="path" content="Stable" />
<meta itemprop="property" content="DATA_CENTRIC_MODE"/>
<meta itemprop="property" content="MODEL_CENTRIC_MODE"/>
<meta itemprop="property" content="VERSION_STRING"/>
</div>

# Module: tfma

Init module for TensorFlow Model Analysis on notebook.

## Modules

[`constants`](./tfma/constants.md) module: Constants used in TensorFlow Model Analysis.

[`export`](./tfma/export.md) module: Library for exporting the EvalSavedModel.

[`exporter`](./tfma/exporter.md) module: `Exporter` class represents different flavors of model export.

[`post_export_metrics`](./tfma/post_export_metrics.md) module: Library containing helpers for adding post export metrics for evaluation.

[`version`](./tfma/version.md) module: Contains the version string for this release of TFMA.

[`view`](./tfma/view.md) module: View API for Tensorflow Model Analysis.

## Classes

[`class SingleSliceSpec`](./tfma/SingleSliceSpec.md): Specification for a single slice.

## Functions

[`EvaluateAndWriteResults(...)`](./tfma/EvaluateAndWriteResults.md)

[`load_eval_result(...)`](./tfma/load_eval_result.md): Creates an EvalResult object for use with the visualization functions.

[`load_eval_results(...)`](./tfma/load_eval_results.md): Run model analysis for a single model on multiple data sets.

[`make_eval_results(...)`](./tfma/make_eval_results.md): Run model analysis for a single model on multiple data sets.

[`multiple_data_analysis(...)`](./tfma/multiple_data_analysis.md): Run model analysis for a single model on multiple data sets.

[`multiple_model_analysis(...)`](./tfma/multiple_model_analysis.md): Run model analysis for multiple models on the same data set.

[`run_model_analysis(...)`](./tfma/run_model_analysis.md): Runs TensorFlow model analysis.

## Other Members

<h3 id="DATA_CENTRIC_MODE"><code>DATA_CENTRIC_MODE</code></h3>

<h3 id="MODEL_CENTRIC_MODE"><code>MODEL_CENTRIC_MODE</code></h3>

<h3 id="VERSION_STRING"><code>VERSION_STRING</code></h3>

